unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
From: David Bremner <david@tethera.net>
To: notmuch@notmuchmail.org, notmuch@freelists.org
Subject: [PATCH 3/3] perf-test: add memory test for notmuch-insert
Date: Fri, 18 Aug 2017 20:50:06 -0300	[thread overview]
Message-ID: <20170818235006.29566-4-david@tethera.net> (raw)
In-Reply-To: <20170818235006.29566-1-david@tethera.net>

In the future it might be worthwhile selecting corpus messages to
insert, but that seems a bit overcomplicated for now
---
 performance-test/M06-insert.sh | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100755 performance-test/M06-insert.sh

diff --git a/performance-test/M06-insert.sh b/performance-test/M06-insert.sh
new file mode 100755
index 00000000..9bca199e
--- /dev/null
+++ b/performance-test/M06-insert.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+test_description='search'
+
+. ./perf-test-lib.sh || exit 1
+
+memory_start
+
+mkdir -p "$MAIL_DIR"/{cur,new,tmp}
+
+for count in $(seq 1 20); do
+    generate_message "[file]=\"insert-$count\"" "[dir]='tmp/'"
+    memory_run "insert $count" "notmuch insert < $gen_msg_filename"
+done
+
+memory_done
-- 
2.14.1

  parent reply	other threads:[~2017-08-18 23:50 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-18 23:50 update performance tests for notmuch insert David Bremner
2017-08-18 23:50 ` [PATCH 1/3] test: move generate_message, add_message into test-lib-common.sh David Bremner
2017-08-18 23:50 ` [PATCH 2/3] perf-test: renumber tests David Bremner
2017-08-18 23:50 ` David Bremner [this message]
2017-08-19 11:10   ` [PATCH 3/3] perf-test: add memory test for notmuch-insert Tomi Ollila
2017-08-20 12:10     ` David Bremner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://notmuchmail.org/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20170818235006.29566-4-david@tethera.net \
    --to=david@tethera.net \
    --cc=notmuch@freelists.org \
    --cc=notmuch@notmuchmail.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).